﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading User Group</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading User Group</h1>
        <p>The&#160;<strong>Upload User Group</strong>option&#160;enables you to upload multiple user groups simultaneously using a CSV file. You can also associate users and user group owners with the user group. While importing, you can create new security system,&#160;endpoint,&#160;entitlement type, entitlement value, users, and user group owner. You can also delete existing user group owner,&#160;user group users, and entitlement&#160;if it exists.</p>
        <p>IGA provides a&#160;<a href="../../Resources/Attachments/User group import_sample.csv">sample CSV file</a>&#160;containing example values for user groups. To upload user groups, download this file to your server, modify its details, and upload it to IGA.&#160;The sample file includes different parameters to specify the&#160;user group&#160;details:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINT</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify an existing endpoint name associated with the security system. For example,&#160;CorpAD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT TYPE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify an existing entitlement type associated with the endpoint.&#160;<p style="text-align: left;" class="table-text">For example,&#160;</p><ul><li><p>member_of in case of Active Directory</p></li><li><p>Profile in case of Salesforce&#160;</p></li></ul></td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT VALUE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;an existing  entitlement type associated with the endpoint. For example, Salesforce_Admin.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEM</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of an existing security system.&#160;For example, CorpAD</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">USERGROUP USERS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of users associated with the user group.&#160;This is a mandatory column if you want to upload users for the user group.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">USERGROUPNAME</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the user group. This is a mandatory column.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">USERGROUPDESCRIPTION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the description for the user group.&#160;This is a mandatory column.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">USERGROUPOWNER</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the owner associated with a manager.&#160;This is a mandatory column if you want to upload the owner.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">USERGROUP OWNER RANK</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the rank of the owner.&#160;This is a mandatory column if you want to upload the owner.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>To upload user group using file-based import, perform the following steps:</p>
        <ol>
            <li>Click <strong>Admin &gt; Identity Repository &gt; Entitlements &gt; Actions &gt; Upload User Group</strong>.</li>
            <li>In the <strong>Select CSV File to Upload User Group</strong>&#160;pop-up window that displays, specify the following parameters.<div class="table-wrap"><table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col class="TableStyle-Default-Table-Column-Column1" /><col class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Data File</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Upload the CSV file with user group details using the&#160;<strong style="text-decoration: none;text-align: left;">Select</strong> button. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" />After file upload, the file name is displayed.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Delimiter</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the delimiter&#160;to use in the data file being uploaded. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" /> The options are: <ul><li><p>Comma</p></li><li><p>Pipe</p></li><li><p>Tab</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Security System</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create a new security system if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p>Yes&#160;-&#160;Creates a new security system.</p></li><li><p>No - Does not&#160;create a new security system.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Endpoint</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create a new endpoint if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p>Yes&#160;-&#160;Creates a new endpoint.</p></li><li><p>No - Does not&#160;create a new endpoint.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Entitlement Type</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create a new&#160;entitlement type if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p>Yes&#160;-&#160;Creates a new entitlement type.</p></li><li><p>No - Does not&#160;create a new entitlement type.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Entitlement Value</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create a new&#160;entitlement value if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p>Yes&#160;-&#160;Creates a new entitlement value.</p></li><li><p>No - Does not&#160;create a new entitlement value.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Users</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create users for the user group if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p>Yes&#160;-&#160;Creates users.</p></li><li><p>No - Does not&#160;create users.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">User Group Owner</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create a user group owner for the user group if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p>Yes&#160;-&#160;Creates user group owners.</p></li><li><p>No - Does not&#160;create user group owners.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Existing User Group Owner</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to delete existing user group&#160;owners.</p><p class="table-text">The options are:</p><ul><li><p>ON&#160;- Deletes existing user group&#160;owners.</p></li><li><p>OFF&#160;-&#160;Does not&#160;delete existing user group&#160;owners.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Existing User Group Users</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to delete existing user group&#160;users.</p><p class="table-text">The options are:</p><ul><li><p>ON&#160;- Deletes existing user group&#160;users.</p></li><li><p>OFF&#160;-&#160;Does not&#160;delete existing user group&#160;users.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Existing Entitlement</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to delete existing entitlements.</p><p class="table-text">The options are:</p><ul><li><p>ON&#160;- Deletes existing entitlements.</p></li><li><p>OFF&#160;-&#160;Does not&#160;delete existing entitlements.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><p class="table-text">First row as heading</p></td><td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1"><div class="content-wrapper"><p>Specify whether you want to&#160;use the&#160;first row in the CSV file as the heading.</p><p>The options are:</p><ul><li><p>Yes&#160;- Uses the&#160;first row as the heading.&#160;</p></li><li><p>No - Does not use the first row as the heading.</p></li></ul></div></td></tr></tbody></table></div></li>
            <li>Click <strong>Upload and Preview</strong>.</li>
            <li>In <strong>Upload&#160;Entitlement Preview</strong> page that displays, click <strong>Import Now</strong>.<br />If you have selected <strong>First row as heading</strong> as <strong>No</strong>, manually map the entitlement file fields to the database table fields and click <strong>Import Now</strong>.</li>
            <li>If the upload is successful, the uploaded record details are populated in&#160;<strong>UserGroup Upload Summary&#160;</strong>page under&#160;the following columns: <strong>UserGroup Created,&#160;Owners Created,&#160;UserGroup Owner Mapping Deleted,&#160;UserGroup Owner Mapped,&#160;UserGroup Users Deleted,&#160;Users Created,&#160;UserGroup Users Mapped,&#160;Security Systems Created,&#160;Endpoints Created,&#160;Entitlement Types Created,&#160;Entitlement Created,&#160;UserGroup Entitlement Deleted,&#160;UserGroup Entitlement MappedAssociation</strong>.</li>
            <li>Go to&#160;<strong>Admin &gt; Identity Repository &gt; User Groups</strong> to view the user group details you uploaded using the CSV file.</li>
        </ol>
    </body>
</html>